# -*- rpm-spec -*-

%define _extra_release %{?extra_release:%{extra_release}}

Name:		qemu-network
Version:	0.2
Release:	1%{_extra_release}
Summary:	QEMU network integration

Group:		Applications/Emulators
License:	GPL v2+
URL:		http://people.redhat.com/berrange/olpc/sdk/
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       dnsmasq >= 2.26
Requires:       vde >= 2.0.1-6
# Leave this out, since if you've already got NetworkManager
# installed, the dispatcher hooks will magically work, and if 
# you've not got NM installed, then you don't need the hooks
# anyway
#Requires:       NetworkManager
BuildArchitectures: noarch

%description
This package provides the capability to integrate QEMU guests
with the local LAN

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post
if [ $1 -eq 1 ]
then
  chkconfig --add qemu-network
  chkconfig qemu-network off
fi
if [ $1 -eq 1 ]
then
  service qemu-network condrestart
fi

%preun
if [ $1 -eq 0 ]
then
  service qemu-network stop 1> /dev/null 2>&1
  chkconfig qemu-network off
  chkconfig --del qemu-network
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root)
%attr(0755,root,root) /etc/rc.d/init.d/%{name}
%config /etc/sysconfig/%{name}
%attr(0755,root,root) /etc/NetworkManager/dispatcher.d/%{name}

%changelog
* Fri Feb 24 2006  <berrange@redhat.com> - 0.2-1
- Add explicit iptables rule to allow forwarding from qemu device

* Tue Feb 21 2006  <berrange@redhat.com> - 0.1-2
- Remove separate network manager package
- Added post/preun scripts to (de-)activate init script

* Mon Feb 20 2006  <berrange@redhat.com> - 0.1-1
- Initial build

